/*  time.h
*/
#include <stdio.h>
#ifndef __TIME_H
#define __TIME_H

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned int size_t;
#endif

#ifndef  _TIME_T
#define  _TIME_T
typedef unsigned long time_t;
#endif

#ifndef  _CLOCK_T
#define  _CLOCK_T
typedef unsigned long clock_t;
#endif

#define CLOCKS_PER_SEC 1
#define CLK_TCK        1



struct tm
{
  int   tm_sec;
  int   tm_min;
  int   tm_hour;
  int   tm_mday;
  int   tm_mon;
  int   tm_year;
  int   tm_wday;
  int   tm_yday;
  int   tm_isdst;
};
extern char * tzname_[2];

char *      asctime(const struct tm *__tblock);
char *      ctime(const time_t *__time);
double       difftime(time_t __time2, time_t __time1);
struct tm *  gmtime(const time_t *__timer);
struct tm *  localtime(const time_t *__timer);
time_t       time(time_t *__timer);
time_t       mktime(struct tm *__timeptr);
clock_t      clock(void);

size_t 	strftime(char *s, size_t maxs, rom const char *f, const struct tm *t);



#endif  /* _TIME_T */


